%define upstream_name    App-Options
%define upstream_version 1.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Combine cmdline opts, env vars, config files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Sys::Hostname)
BuildArch: noarch

%description
App::Options combines command-line arguments, environment variables, option
files, and program defaults to produce a hash of option values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc TODO README META.yml CHANGES
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/prefix
/usr/bin/prefixadmin



%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.120.0-11.mga9
+ Revision: 1802056
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.120.0-10.mga8
+ Revision: 1492711
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.120.0-9.mga7
+ Revision: 1265684
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.120.0-8.mga6
+ Revision: 1022549
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.120.0-7.mga6
+ Revision: 946829
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-6.mga5
+ Revision: 742992
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-5.mga5
+ Revision: 683520
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.120.0-4.mga4
+ Revision: 509130
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-3.mga3
+ Revision: 363079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 shlomif <shlomif> 1.120.0-2.mga3
+ Revision: 252258
- License validity
- imported package perl-App-Options


* Sun Mar 18 2012 cpan2dist 1.12-1mga
- initial mageia release, generated with cpan2dist
